> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get videos in folder

> Get videos in a folder



## OpenAPI

````yaml get /folders/{FOLDER_ID}/videos
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Players
  - name: Services
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Uploads
  - name: Users
  - name: Videos
paths:
  /folders/{FOLDER_ID}/videos:
    get:
      tags:
        - Folders
      summary: Get videos in folder
      description: Get videos in a folder
      parameters:
        - $ref: '#/components/parameters/folderId'
      responses:
        '200':
          $ref: '#/components/responses/Videos'
        '404':
          $ref: '#/components/responses/Error404'
components:
  parameters:
    folderId:
      name: FOLDER_ID
      in: path
      description: ID of the folder
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
  responses:
    Videos:
      description: Videos
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                type: array
                items:
                  $ref: '#/components/schemas/Video'
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
            example:
              success: true
              result: []
              links:
                next: >-
                  https://api.vidbeo.com/v2/videos?limit=10&cursor=AbCdEfGhIJkLMnOpQrStUvWxYz
              errors: []
    Error404:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: false
              result:
                type: object
                example: {}
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                      example: Not found
            example:
              success: false
              result: {}
              links: {}
              errors:
                - message: Not found
  schemas:
    Video:
      type: object
      required:
        - id
        - type
        - name
        - description
        - outputs
        - thumbnail
        - sprite
        - duration
        - privacy
        - tracks
        - categories
        - enabled
        - transcoder
        - content_rating
        - spherical
        - projection
        - language
        - cards
        - gates
        - hotspots
        - chapters
        - page_url
        - progress
        - status
        - tags
        - scheduled_time
        - clip
        - clip_from
        - clip_start
        - clip_end
        - created_by
        - created_time
        - updated_by
        - updated_time
      properties:
        id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        type:
          type: string
          enum:
            - vod
            - stream
            - event
          example: vod
        name:
          type: string
          minLength: 1
          maxLength: 100
          example: Example
        description:
          type: string
          minLength: 0
          maxLength: 200
          example: Example description
        outputs:
          type: array
          items:
            type: object
            properties:
              label:
                type: string
                enum:
                  - mp4
                  - mp4_1080p
                  - mp4_720p
                  - mp4_360p
                  - mp4_270p
                  - mp4_240p
                  - hls_fmp4
                  - hls_ts
                  - hls
                  - dash
              url:
                type: string
                format: uri
                minLength: 1
                maxLength: 200
          example:
            - label: hls
              url: https://example.com/path/to/file.m3u8
        thumbnail:
          type: string
          format: uri
          example: https://example.com/path/to/file.jpg
        sprite:
          type: string
          format: uri
          example: https://example.com/path/to/file.jpg
        duration:
          type: integer
          example: 30
        privacy:
          type: string
          enum:
            - public
            - private
            - password
            - authenticated
          example: private
        tracks:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 21
                maxLength: 21
                example: abcde12345abcde12345a
              language:
                type: string
                enum:
                  - de-DE
                  - en-AU
                  - en-GB
                  - en-US
                  - es-ES
                  - fr-FR
                  - it-IT
                example: en-US
              label:
                type: string
                minLength: 1
                maxLength: 200
                example: English
              kind:
                type: string
                enum:
                  - subtitles
                  - captions
                example: subtitles
              url:
                type: string
                minLength: 1
                maxLength: 200
        categories:
          type: array
          items:
            type: string
          example:
            - example
        enabled:
          type: boolean
          example: true
        transcoder:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        content_rating:
          type: string
          enum:
            - all
            - mature
          example: all
        spherical:
          type: boolean
          example: false
        projection:
          type: string
          enum:
            - equirectangular
          example: equirectangular
        language:
          type: string
          enum:
            - de-DE
            - en-AU
            - en-GB
            - en-US
            - es-ES
            - fr-FR
            - it-IT
          example: en-US
        cards:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 21
                maxLength: 21
                example: abcde12345abcde12345a
              name:
                type: string
                minLength: 1
                maxLength: 200
                example: Example
              show_at:
                type: string
                example: '00:00:05'
              hide_at:
                type: string
                example: '00:00:05'
              skip:
                type: boolean
                example: false
              top_text:
                type: string
                example: Example text
              bottom_text:
                type: string
                example: Bottom text
              link:
                type: string
                format: uri
                example: https://example.com
          example:
            - id: abcde12345abcde12345a
              name: Example
              show_at: '00:00:05'
              hide_at: '00:00:05'
              skip: false
              top_text: Example text
              bottom_text: Example text
              link: https://example.com
        gates:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 21
                maxLength: 21
                example: abcde12345abcde12345a
              name:
                type: string
                minLength: 1
                maxLength: 200
                example: Example
              show_at:
                type: string
                example: '00:00:05'
              skip:
                type: boolean
                example: false
              top_text:
                type: string
                example: Example text
              bottom_text:
                type: string
                example: Bottom text
              fields:
                type: array
                items:
                  type: object
                  properties:
                    label:
                      type: string
                    value:
                      type: string
                example:
                  - label: Email
                    value: email
              connect_service_id:
                type: string
                minLength: 21
                maxLength: 21
                example: abcde12345abcde12345a
              connect_list_id:
                type: string
                minLength: 1
                maxLength: 100
                example: abcde
          example:
            - id: abcde12345abcde12345a
              name: Example
              show_at: '00:00:05'
              skip: false
              top_text: Example text
              bottom_text: Example text
              fields:
                - label: Email
                  value: email
              connect_service_id: abcde12345abcde12345a
              connect_list_id: abcde
        hotspots:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 21
                maxLength: 21
                example: abcde12345abcde12345a
              name:
                type: string
                minLength: 1
                maxLength: 200
                example: Example
              show_at:
                type: string
                example: '00:00:05'
              hide_at:
                type: string
                example: '00:00:05'
              x:
                type: integer
                example: 25
              'y':
                type: integer
                example: 25
              action:
                type: string
                enum:
                  - link
                example: link
              link:
                type: string
                format: uri
                example: https://example.com
              target:
                type: string
                enum:
                  - _parent
                  - _blank
                example: _parent
              opacity:
                type: string
                enum:
                  - opaque
                  - translucent
                  - invisible
                example: translucent
          example:
            - id: abcde12345abcde12345a
              name: Example
              show_at: '00:00:05'
              hide_at: '00:00:05'
              x: 25
              'y': 25
              action: link
              link: https://example.com
              target: _parent
              opacity: translucent
        chapters:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 21
                maxLength: 21
                example: abcde12345abcde12345a
              name:
                type: string
                minLength: 1
                maxLength: 200
                example: Example
              start:
                type: string
                example: '00:00:05'
          example:
            - id: abcde12345abcde12345a
              name: Example
              start: '00:00:05'
        page_url:
          type: string
          format: uri
          example: https://example.com/page
        progress:
          type: integer
          example: 100
        status:
          type: string
          enum:
            - uploading
            - preparing
            - processing
            - ready
            - error
            - live
            - offline
          example: ready
        tags:
          type: array
          minItems: 0
          maxItems: 10
          items:
            type: string
          example:
            - example
        scheduled_time:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
        clip:
          type: boolean
          example: false
        clip_from:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        clip_start:
          type: string
          format: time-code
          example: '00:00:30'
        clip_end:
          type: string
          format: time-code
          example: '00:01:30'
        created_by:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        created_time:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
        updated_by:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        updated_time:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````